GH-RULESET(1)

NAME

gh-ruleset - View info about repo rulesets

SYNOPSIS

gh ruleset <command> [flags]

DESCRIPTION

Repository rulesets are a way to define a set of rules that apply to a repository. These commands allow you to view information about them.

AVAILABLE COMMANDS

gh-ruleset-check(1)
    View rules that would apply to a given branch

gh-ruleset-list(1)
    List rulesets for a repository or organization

gh-ruleset-view(1)
    View information about a ruleset

OPTIONS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE
    $ gh ruleset list
    $ gh ruleset view --repo OWNER/REPO --web
    $ gh ruleset check branch-name

SEE ALSO

gh(1)